Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.border
Class MatteBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.EmptyBorder
                  |
                  +--javax.swing.border.MatteBorder

Direct Known Subclasses:
  BorderUIResource.MatteBorderUIResource

public class MatteBorder
extends EmptyBorder

A class which provides a matte-like border of either a solid color or a tiled icon.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`protected java.awt.Color` | `color`
`protected Icon` | `tileIcon`

Fields inherited from class javax.swing.border.EmptyBorder
`bottom, left, right, top`

Constructor Summary
`MatteBorder(Icon tileIcon)` Creates a matte border with the specified tile icon.
`MatteBorder(int top, int left, int bottom, int right, java.awt.Color color)` Creates a matte border with the specified insets and color.
`MatteBorder(int top, int left, int bottom, int right, Icon tileIcon)` Creates a matte border with the specified insets and tile icon.

Method Summary
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)` Returns the insets of the border.
`boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Paints the matte border.

Methods inherited from class javax.swing.border.EmptyBorder
`getBorderInsets`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### color

    protected java.awt.Color color

### tileIcon

    protected Icon tileIcon

Constructor Detail

### MatteBorder

    public MatteBorder(int top,
                       int left,
                       int bottom,
                       int right,
                       java.awt.Color color)

  Creates a matte border with the specified insets and color.
  Parameters:
    `top` - the top inset of the border
    `left` - the left inset of the border
    `bottom` - the bottom inset of the border
    `right` - the right inset of the border

### MatteBorder

    public MatteBorder(int top,
                       int left,
                       int bottom,
                       int right,
                       Icon tileIcon)

  Creates a matte border with the specified insets and tile icon.
  Parameters:
    `top` - the top inset of the border
    `left` - the left inset of the border
    `bottom` - the bottom inset of the border
    `right` - the right inset of the border
    `tileIcon` - the icon to be used for tiling the border

### MatteBorder

    public MatteBorder(Icon tileIcon)

  Creates a matte border with the specified tile icon. The insets will be calculated dynamically based on the size of the tile icon, where the top and bottom will be equal to the tile icon's height, and the left and right will be equal to the tile icon's width.
  Parameters:
    `tileIcon` - the icon to be used for tiling the border

Method Detail

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Paints the matte border.
  Overrides:
    paintBorder in class EmptyBorder

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Returns the insets of the border.
  Parameters:
    `c` - the component for which this border insets value applies
  Overrides:
    getBorderInsets in class EmptyBorder

### isBorderOpaque

    public boolean isBorderOpaque()

  Returns whether or not the border is opaque.
  Overrides:
    isBorderOpaque in class EmptyBorder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.